import * as React from "react";
export interface SaltInputProps {
    name: string;
    label?: string;
    placeholder?: string;
    salt?: string;
    invalid?: boolean;
    invalidMessage?: string;
    onChange(name: string, value: string): void;
}
export interface SaltInputState {
    isValid: boolean;
    value?: string;
}
export declare class SaltInput extends React.Component<SaltInputProps, SaltInputState> {
    constructor(props: SaltInputProps);
    render(): JSX.Element;
    private handleChange;
}
